Ir al contenido
Documentación de Endless

Create invitation

POST
/organizations/{organization_id}/invitations

Creates an invitation and returns the created row. Scoped to the organization named by organization_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

organization_id*string
Match^org_

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/organizations/org_abc123/invitations" \  -H "Content-Type: application/json" \  -d '{    "invitations": [      {        "email_address": "user@example.com"      }    ]  }'
{  "invitations": [    {      "id": "string",      "email_address": "string",      "role": "org:admin"    }  ],  "errors": [    {      "email_address": "string",      "error": "string"    }  ]}